Cruisers & Sailing Forums (https://www.cruisersforum.com/forums/)
-   OpenCPN (https://www.cruisersforum.com/forums/f134/)
-   -   S63 Plugin Update (https://www.cruisersforum.com/forums/f134/s63-plugin-update-185609.html)

bdbcat 31-05-2017 09:41

S63 Plugin Update
 
The S63 chart Plugin for OpenCPN has been updated.

Version 1.6 is available now. Improvements include:
1.Improved rendering in Course-Up mode for OpenGL platforms.

Visit the opencpn.org website for updated download links.
https://opencpn.org/OpenCPN/plugins/s63.html

Enjoy!
Dave and the OCPN Team.

P_Dub 31-05-2017 13:07

Re: S63 Plugin Update
 
Quote:

Originally Posted by bdbcat (Post 2404084)
The S63 chart Plugin for OpenCPN has been updated.

Version 1.6 is available now. Improvements include:
1.Improved rendering in Course-Up mode for OpenGL platforms.

Visit the opencpn.org website for updated download links.
https://opencpn.org/OpenCPN/plugins/s63.html

Enjoy!
Dave and the OCPN Team.

Problem with your new S-63 plugin, unable to shut down OpenCpn.
Did have to kill it, Windows 64, pro version.
Good luck:peace:

bcn 31-05-2017 13:24

Re: S63 Plugin Update
 
Ours does shut down without hick-ups...

Win 8.1 64 pro - so the same

Gilletarom 02-06-2017 01:22

Re: S63 Plugin Update
 
Dave,

Windows 10 Creator 1703, 64, Lenovo U41.

I installed S63 16 over S63 15 without uninstalling S63 15 beforehand. But now I can no longer display the S63 charts.

Do I have to reload the charts? Should I redo the FingerPrint?

I did various tests, removed the "Permit", re-installed the "Permit" and the charts. Nothing to do. Unable to display maps.

Gilletarom.

bcn 02-06-2017 03:37

Re: S63 Plugin Update
 
Try to force a rebuild of the chart data base.

The licenses are not changed from the update of the plug-in.
I did here exactly the same just installingS63 over the former version and the charts are back - after a small and fast reprocessing.

Anything in the log file perhaps?

jariolle 07-06-2017 02:53

Re: S63 Plugin Update
 
Just downloaded s63 Plugin to my Raspberry Pi3 based OpenCPN (Running Ubuntu Mate). Plugin installs just fine, but can't create the fingerprint file. I noticed somewhere from the forum posts that it might not work with ARM based systems. Is this still the case and if, any plans to get it working?

bcn 07-06-2017 04:08

Re: S63 Plugin Update
 
A message like:
Cannot execute OCPNsenc utility at
{/usr/bin/OCPNsenc}
?

and then:
Error creating Fingerprint file
Check OpenCPN log file
?

There is a patch for the ARM S-63 plug-in but I'm not sure if it made it to PPA already.

Will check.

Hubert

jariolle 07-06-2017 04:46

Re: S63 Plugin Update
 
Quote:

Originally Posted by bcn (Post 2408942)
A message like:
Cannot execute OCPNsenc utility at
{/usr/bin/OCPNsenc}
?

and then:
Error creating Fingerprint file
Check OpenCPN log file
?

There is a patch for the ARM S-63 plug-in but I'm not sure if it made it to PPA already.

Will check.

Hubert

Yes! That's exactly the case. So looks like it is not in the PPA yet, but good to know. Then there is at least some hope it will get there some day :)

bdbcat 07-06-2017 06:38

Re: S63 Plugin Update
 
jariolle/bcn....

The ARMHF build on the PPA is Version 1.6.0, and should include the patched code. Please verify that you have installed V1.6.

I will check as well....

Thanks
Dave

jariolle 07-06-2017 12:27

Re: S63 Plugin Update
 
Quote:

Originally Posted by bdbcat (Post 2409033)
jariolle/bcn....

The ARMHF build on the PPA is Version 1.6.0, and should include the patched code. Please verify that you have installed V1.6.
Dave

I did check and s63 plugin is version 1.6.0. I also uninstalled and reinstalled both, s63 plugin and the whole opencpn. Unfortunately it didn't help, same error message.

- Jari -

bdbcat 07-06-2017 19:11

Re: S63 Plugin Update
 
jari...

Please open a linux console and try:

Code:

$/usr/bin/OCPNsenc -a
Report results.

Thanks
Dave

jariolle 07-06-2017 23:18

Re: S63 Plugin Update
 
Quote:

Originally Posted by bdbcat (Post 2409484)
jari...

Please open a linux console and try:

Code:

$/usr/bin/OCPNsenc -a
Report results.

Thanks
Dave

Here the output:

Code:


$ /usr/bin/OCPNsenc -a
/usr/bin/OCPNsenc: Symbol `_ZN12wxTextBuffer6ms_eofE' has different size in shared object, consider re-linking
06:43:12: Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1009,wx containers,compatible with 2.8),
and your program used 3.0 (wchar_t,compiler with C++ ABI 1002,wx containers,compatible with 2.8).
Segmentation fault (core dumped)


bcn 07-06-2017 23:28

Re: S63 Plugin Update
 
Then you are not with the latest version for RasPi/ARM.

Can you check the PPA settings and try again?

As a workaround:

To download the RasPi version here:
https://www.dropbox.com/s/cz1wzlvtmh...ARMStatic?dl=1

Of course it should be renamed to OCPNsenc (from OCPNsencARMStatic) and
copied to whatever location the current OCPNsenc was installed at.

Hubert

jariolle 07-06-2017 23:57

Re: S63 Plugin Update
 
Quote:

Originally Posted by bcn (Post 2409579)
Then you are not with the latest version for RasPi/ARM.

Can you check the PPA settings and try again?

As a workaround:

To download the RasPi version here:
https://www.dropbox.com/s/cz1wzlvtmh...ARMStatic?dl=1

Of course it should be renamed to OCPNsenc (from OCPNsencARMStatic) and
copied to whatever location the current OCPNsenc was installed at.

Hubert

Yes, looks like there is something wrong. I think I'll reinstall the whole system, my project is in such stage that it doesn't matter :).

By the way, what is your recommendation for the OS distro for the system basically running just OpenCPN in Raspberry Pi3? Originally I just chose Ubuntu Mate because being myself most familiar with Ubuntu in general. But I assume I should't have any issues running Raspbian either.

Thank you for all the help!

- Jari -

bcn 08-06-2017 00:04

Re: S63 Plugin Update
 
For the RasPi get OpenPlotter. More people working on the same track.

Less tinkering, more possibilities. OpenCPN up-to-date and the most central plug-ins are getting maintained too.

Hubert


All times are GMT -7. The time now is 08:14.

Powered by vBulletin® Version 3.8.8 Beta 1
Copyright ©2000 - 2020, vBulletin Solutions, Inc.


ShowCase vBulletin Plugins by Drive Thru Online, Inc.